# Asterisk Project : Asterisk 13 Function_CALLERPRES

Created by wikibot on Aug 08, 2014

# CALLERPRES()

### Synopsis

Gets or sets Caller*ID presentation on the channel.

### Description

Gets or sets Caller*ID presentation on the channel. This function is deprecated in favor of CALLERID(num-pres) and CALLERID(name-pres). The following values are valid:

- `allowed_not_screened` - Presentation Allowed, Not Screened.
- `allowed_passed_screen` - Presentation Allowed, Passed Screen.
- `allowed_failed_screen` - Presentation Allowed, Failed Screen.
- `allowed` - Presentation Allowed, Network Number.
- `prohib_not_screened` - Presentation Prohibited, Not Screened.
- `prohib_passed_screen` - Presentation Prohibited, Passed Screen.
- `prohib_failed_screen` - Presentation Prohibited, Failed Screen.
- `prohib` - Presentation Prohibited, Network Number.
- `unavailable` - Number Unavailable.

### Syntax

    CALLERPRES()

##### Arguments

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538